services:
    ps48gk044w00kg8wgk08ogok-040600293207:
        image: 'ps48gk044w00kg8wgk08ogok:3aca3fbebe6444c350702032c23b9b2dfb35fd20'
        container_name: ps48gk044w00kg8wgk08ogok-040600293207
        restart: unless-stopped
        expose:
            - '8000'
        networks:
            coolify:
                aliases:
                    - ps48gk044w00kg8wgk08ogok-040600293207
        mem_limit: '0'
        memswap_limit: '0'
        mem_swappiness: 60
        mem_reservation: '0'
        cpus: 0.0
        cpu_shares: 1024
        env_file:
            - .env
        labels:
            - traefik.enable=true
            - traefik.http.middlewares.gzip.compress=true
            - traefik.http.middlewares.redirect-to-https.redirectscheme.scheme=https
            - traefik.http.routers.http-0-ps48gk044w00kg8wgk08ogok.entryPoints=http
            - traefik.http.routers.http-0-ps48gk044w00kg8wgk08ogok.middlewares=redirect-to-https
            - 'traefik.http.routers.http-0-ps48gk044w00kg8wgk08ogok.rule=Host(`ps48gk044w00kg8wgk08ogok.mywebsites.dev`) && PathPrefix(`/`)'
            - traefik.http.routers.http-0-ps48gk044w00kg8wgk08ogok.service=http-0-ps48gk044w00kg8wgk08ogok
            - traefik.http.routers.https-0-ps48gk044w00kg8wgk08ogok.entryPoints=https
            - traefik.http.routers.https-0-ps48gk044w00kg8wgk08ogok.middlewares=gzip
            - 'traefik.http.routers.https-0-ps48gk044w00kg8wgk08ogok.rule=Host(`ps48gk044w00kg8wgk08ogok.mywebsites.dev`) && PathPrefix(`/`)'
            - traefik.http.routers.https-0-ps48gk044w00kg8wgk08ogok.service=https-0-ps48gk044w00kg8wgk08ogok
            - traefik.http.routers.https-0-ps48gk044w00kg8wgk08ogok.tls.certresolver=letsencrypt
            - traefik.http.routers.https-0-ps48gk044w00kg8wgk08ogok.tls=true
            - traefik.http.services.http-0-ps48gk044w00kg8wgk08ogok.loadbalancer.server.port=8000
            - traefik.http.services.https-0-ps48gk044w00kg8wgk08ogok.loadbalancer.server.port=8000
            - 'caddy_0.encode=zstd gzip'
            - 'caddy_0.handle_path.0_reverse_proxy={{upstreams 8000}}'
            - 'caddy_0.handle_path=/*'
            - caddy_0.header=-Server
            - 'caddy_0.try_files={path} /index.html /index.php'
            - 'caddy_0=https://ps48gk044w00kg8wgk08ogok.mywebsites.dev'
            - caddy_ingress_network=coolify
            - coolify.managed=true
            - coolify.version=4.0.0-beta.462
            - coolify.applicationId=21
            - coolify.type=application
            - coolify.name=ps48gk044w00kg8wgk08ogok
            - coolify.resourceName=langchain-ailangchainmain-xw4cosow4gcs8o4kock44sos
            - coolify.projectName=langchain
            - coolify.serviceName=langchain-ailangchainmain-xw4cosow4gcs8o4kock44sos
            - coolify.environmentName=production
            - coolify.pullRequestId=0
        entrypoint: 'python3 -m http.server 8000'
networks:
    coolify:
        external: true
        name: coolify
        attachable: true
